net.sf.jasperreports.engine.util

## Class DefaultFormatFactory

- java.lang.Object
- - net.sf.jasperreports.engine.util.DefaultFormatFactory

- All Implemented Interfaces:
    FormatFactory

      public class DefaultFormatFactory
      extends java.lang.Object
      implements FormatFactory

  Version:
    $Id: DefaultFormatFactory.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `STANDARD_DATE_FORMAT_DEFAULT` Used in the date pattern to specify the default style.
    `static java.lang.String` | `STANDARD_DATE_FORMAT_FULL` Used in the date pattern to specify the full style.
    `static java.lang.String` | `STANDARD_DATE_FORMAT_HIDE` Used in the date pattern to specify that the date or time should not be included.
    `static java.lang.String` | `STANDARD_DATE_FORMAT_LONG` Used in the date pattern to specify the long style.
    `static java.lang.String` | `STANDARD_DATE_FORMAT_MEDIUM` Used in the date pattern to specify the medium style.
    `static java.lang.String` | `STANDARD_DATE_FORMAT_SEPARATOR` Used in the date format pattern to separate the date and time styles.
    `static java.lang.String` | `STANDARD_DATE_FORMAT_SHORT` Used in the date pattern to specify the short style.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFormatFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.text.DateFormat` | `createDateFormat(java.lang.String pattern, java.util.Locale locale, java.util.TimeZone tz)`
    `static FormatFactory` | `createFormatFactory(java.lang.String formatFactoryClassName)`
    `java.text.NumberFormat` | `createNumberFormat(java.lang.String pattern, java.util.Locale locale)`
    `protected static java.text.DateFormat` | `getDateFormat(int[] dateStyle, int[] timeStyle, java.util.Locale locale)`
    `protected static int[]` | `getDateStyle(java.lang.String pattern)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STANDARD_DATE_FORMAT_DEFAULT

          public static final java.lang.String STANDARD_DATE_FORMAT_DEFAULT

      Used in the date pattern to specify the default style.
      See Also:
        `DateFormat.DEFAULT`, Constant Field Values

    - #### STANDARD_DATE_FORMAT_SHORT

          public static final java.lang.String STANDARD_DATE_FORMAT_SHORT

      Used in the date pattern to specify the short style.
      See Also:
        `DateFormat.SHORT`, Constant Field Values

    - #### STANDARD_DATE_FORMAT_MEDIUM

          public static final java.lang.String STANDARD_DATE_FORMAT_MEDIUM

      Used in the date pattern to specify the medium style.
      See Also:
        `DateFormat.MEDIUM`, Constant Field Values

    - #### STANDARD_DATE_FORMAT_LONG

          public static final java.lang.String STANDARD_DATE_FORMAT_LONG

      Used in the date pattern to specify the long style.
      See Also:
        `DateFormat.LONG`, Constant Field Values

    - #### STANDARD_DATE_FORMAT_FULL

          public static final java.lang.String STANDARD_DATE_FORMAT_FULL

      Used in the date pattern to specify the full style.
      See Also:
        `DateFormat.FULL`, Constant Field Values

    - #### STANDARD_DATE_FORMAT_HIDE

          public static final java.lang.String STANDARD_DATE_FORMAT_HIDE

      Used in the date pattern to specify that the date or time should not be included.
      See Also:
        Constant Field Values

    - #### STANDARD_DATE_FORMAT_SEPARATOR

          public static final java.lang.String STANDARD_DATE_FORMAT_SEPARATOR

      Used in the date format pattern to separate the date and time styles.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DefaultFormatFactory

          public DefaultFormatFactory()

  - ### Method Detail

    - #### createDateFormat

          public java.text.DateFormat createDateFormat(java.lang.String pattern,
                                              java.util.Locale locale,
                                              java.util.TimeZone tz)

      Specified by:
        `createDateFormat` in interface `FormatFactory`

    - #### getDateStyle

          protected static int[] getDateStyle(java.lang.String pattern)

    - #### getDateFormat

          protected static java.text.DateFormat getDateFormat(int[] dateStyle,
                                           int[] timeStyle,
                                           java.util.Locale locale)

    - #### createNumberFormat

          public java.text.NumberFormat createNumberFormat(java.lang.String pattern,
                                                  java.util.Locale locale)

      Specified by:
        `createNumberFormat` in interface `FormatFactory`

    - #### createFormatFactory

          public static FormatFactory createFormatFactory(java.lang.String formatFactoryClassName)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com